Perl and dpkg errors when installing packages

Discussion in 'Installation/Configuration' started by Crucinator, Aug 16, 2006.

  1. Crucinator

    Crucinator New Member

    Whenever I try to update, upgrade, or install a package on my Ubuntu Dapper box, I get the following error:

    Code:
    Can't locate DebianNet.pm in @INC (@INC contains: /etc/perl /usr/local/lib/perl/5.8.7 /usr/local/share/perl/5.8.7 /usr/lib/perl5 /usr/share/perl5 /usr/lib/perl/5.8 /usr/share/perl/5.8 /usr/local/lib/site_perl .) at /usr/sbin/update-inetd line 23.
    dpkg: error processing cvs (--configure):
     subprocess post-installation script returned error exit status 2
    dpkg: dependency problems prevent configuration of libcvsservice0:
     libcvsservice0 depends on cvs (>= 1.11); however:
      Package cvs is not configured yet.
    dpkg: error processing libcvsservice0 (--configure):
     dependency problems - leaving unconfigured
    Setting up libwmf0.2-7 (0.2.8.3-3.1ubuntu0.1) ...
    Updating the gdk-pixbuf loaders list for GTK+-2.4.0...done.
    Can't locate Debian/Defoma/Common.pm in @INC (@INC contains: /etc/perl /usr/local/lib/perl/5.8.7 /usr/local/share/perl/5.8.7 /usr/lib/perl5 /usr/share/perl5 /usr/lib/perl/5.8 /usr/share/perl/5.8 /usr/local/lib/site_perl .) at /usr/bin/defoma-app line 8.
    BEGIN failed--compilation aborted at /usr/bin/defoma-app line 8.
    dpkg: error processing libwmf0.2-7 (--configure):
     subprocess post-installation script returned error exit status 2
    dpkg: dependency problems prevent configuration of quanta:
     quanta depends on libcvsservice0 (>= 4:3.5.2); however:
      Package libcvsservice0 is not configured yet.
    dpkg: error processing quanta (--configure):
     dependency problems - leaving unconfigured
    Errors were encountered while processing:
     cvs
     libcvsservice0
     libwmf0.2-7
     quanta
    E: Sub-process /usr/bin/dpkg returned an error code (1)
    I've checked CPAN for modules, but can't find any containing "DebianNet". There are like 130 modules containing "Common", and I don't know which one I need.

    Has anyone experienced these errors and know how to fix them?
     
  2. falko

    falko Super Moderator ISPConfig Developer

    Try to install the DebianNet module as follows:

    Code:
    perl -MCPAN -e shell
    On the Perl shell, run
    Code:
    install DebianNet
    Afterwards, type
    Code:
    q
    to leave the Perl shell.
     
  3. Crucinator

    Crucinator New Member

    I tried to install DebianNet, and here is what I got.

    Code:
    cpan> install DebianNet
    Warning: Cannot install DebianNet, don't know what it is.
    Try the command
    
        i /DebianNet/
    
    to find objects with matching identifiers.
    and then, when I input "i /DebianNet/" I get this.

    Code:
    cpan> i /DebianNet/
    No objects found of any type for argument /DebianNet/
    Any other ideas?
     
  4. falko

    falko Super Moderator ISPConfig Developer

    What's the output of
    Code:
    apt-cache search DebianNet
    ?
     
  5. Crucinator

    Crucinator New Member

    I think I figured out how to solve my problem. It turns out "DebianNet.pm" is part of the Netbase package and "Common.pm" is found in the Defoma package (both found in Synaptic). When I reinstalled both packages, the unconfigured ones completed their installs. Everything looks good now. Thanks for those who helped.
     

Share This Page